<?php
ob_end_clean();
include ("../includes/common.php");
include("../includes/write.php");
include ("../includes/ini.php");
define('FPDF_FONTPATH','../includes/fpdf/font/');
require('../includes/fpdf/html2pdf2.php');
mysqli_query($conn,"set names 'utf8'");

function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}
function iniziali($text){
	$primo = substr($text,0,1);
	$punto = strpos($text,'.');
	if($punto==FALSE){
		return ($primo);}
		else {
			return ($primo.substr($text,$punto+1,1));
		}
}
//___________________________________

    $id=$_GET['id'];
    
    $sql = "SELECT utenti.nome,utenti.cognome,utenti.email,ore_aggiuntive.* FROM utenti,ore_aggiuntive WHERE id_ore_aggiuntive='$id' AND utenti.utente=ore_aggiuntive.docente ";
    $ris=mysqli_query($conn,$sql);
    $row=mysqli_num_rows($ris);
    $rec=mysqli_fetch_array($ris);
    $anno_scolastico=trim($rec["anno_scolastico"]);
    $numore=trim($rec["numore"]);
    $redattore=trim($rec["docente"]);
    $data_sostituzione=formdata($rec["data_sostituzione"]);
    $data_incarico=formdata(date("Y-m-d"));
    $dalle = $rec["dalle"];
    $alle = $rec["alle"];
    $plesso = $rec["plesso"];
    $classe_sezione = $rec["classe_sezione"];
    
    $pdf=new PDF('P','mm','A4');
    // metadati
        
    $pdf->AliasNbPages();
    $pdf->AddPage();
         // Logo
        
    $sqlb="SELECT * FROM generalinfo";
    
    $risb=mysqli_query($conn,$sqlb);
    $rowb=mysqli_num_rows($risb);
    $recb=mysqli_fetch_array($risb);
    $nome_scuola=trim($recb["nome_scuola"]);
    $intestazione=trim($recb["intestaz[ione"]);
    $imgintestazione1=trim($recb["imgintestazione1"]);
    $imgintestazione2=trim($recb["imgintestazione2"]);
    $imgintestazione3=trim($recb["imgintestazione3"]);
    $city=trim($recb["city"]);
    $nome_ds=trim($recb["nome_ds"]);
    
    if ($imgintestazione1!="" && $imgintestazione2=="" && $imgintestazione3=="") 
    {$pdf->Image($imgintestazione1,95,15,20,20);
    $pdf->SetXY(10,40);
    $pdf->WriteHTMLinte($intestazione);}
    
    if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3=="") 
    { $pdf->Image($imgintestazione1,15,15,20,20);
      $pdf->Image($imgintestazione2,170,15,20,20);
      $pdf->SetXY(10,15);
      $pdf->WriteHTMLinte($intestazione);
      //$pdf->MultiCell(100, 20, $intestazione);
     
     } 
     if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3!="") 
    { $pdf->Image($imgintestazione1,15,15,20,20);
      $pdf->Image($imgintestazione2,95,15,20,20);
      $pdf->Image($imgintestazione3,170,15,20,20);
      $pdf->SetXY(10,40);
      $pdf->WriteHTMLinte($intestazione);
     } 
        
    $destinatario = ucwords($rec["nome"].' '.$rec["cognome"]);
     
    $w=185;
    $h=8;
    $pdf->SetFont('Arial','',10);
    $pdf->Cell(180,$h,'Al/alla docente',0,1,'R');
    $pdf->Cell(180,$h,'Al/alla docente '.utf8_decode($destinatario),0,1,'R');
    $pdf->Cell(180,$h,utf8_decode($plesso),0,1,'R');
    $pdf->Cell(180,$h,utf8_decode($nome_scuola),0,1,'R');
    
     $w=277;
    $h=8;
    $pdf->Ln(10);
    $pdf->SetFont('Times','B',12);
    $titolo ='Oggetto: incarico '."A.S. ".$anno_scolastico;
    $pdf->Cell(180,10,$titolo,0,1,'L');
    
    $w=185;
    $h=8;
    $pdf->SetFont('Arial','',10);
    $prologo = 'Il Dirigente  Scolastico, vista la necessità di sostituire colleghi assenti, incarica la S.V. a svolgere attività di docenza, 
    nel giorno '.$data_sostituzione.' dalle ore '.$dalle.' alle ore '.$alle.', presso la classe/sezione '.$classe_sezione.' '.$plesso.' per un totale di '.$numore.' ora/e.';
    $prologo=WriteH($prologo);
    $prologo = utf8_decode($prologo);
    $pdf->MultiCell($w,$h,$prologo,0,'L',0);
    
    $txt = 'Per tale prestazione Le verrà riconosciuto il compenso previsto dal CCNL vigente.';
    $txt = WriteH($txt);
    $txt = utf8_decode($txt);
    $pdf->MultiCell($w, $h, $txt,0,'L',0);
    
    $pdf->Ln(3);
    
    
    $txt=utf8_decode($city).", ".$data_incarico;
    
    $pdf->Cell($w,$h,$txt,0,1,'L');
    $pdf->SetFont('Arial','I',12);
    $pdf->Cell(180,$h,'Il Dirigente Scolastico',0,1,'R');
    $pdf->Cell(180,$h,utf8_decode($nome_ds),0,1,'R');
    $pdf->SetX(-75);
    $pdf->SetFont('Arial','I',7);
    $height=4;
    $pdf->MultiCell(55,$height,'Firma autografa sostituita a mezzo stampa ai sensi dell\'art. 3, comma 2, del D.Lgs. 39/93',0,'R',0);
    
    $pdf->Output();
?>