<?php
include_once("config.php");
include_once("../includes/formdata.php");
include_once("functions.php");

if (isset($_GET['username']) && isset($_GET['password'])) {
  $username = mysqli_escape_string($_GET['username']);
  $password = mysqli_escape_string($_GET['password']);
  $userinfo = login_check($conn, $username, $password);
  if ($userinfo === false) fail();
  $userID = $userinfo['id_utente'];

  if (isset($_GET['list']))
  {
    $rows = array();
    $anno_scolastico = AnnoScolasticoL();
    $sql1 = "SELECT componenti_gruppo.*, gruppi.id_gruppi,progetti.gruppo_utenti,progetti.idprogetto,progetti.titolo
	FROM componenti_gruppo, gruppi,progetti WHERE progetti.anno_scolastico='$anno_scolastico'
	AND componenti_gruppo.id_gruppi=gruppi.id_gruppi AND gruppi.id_gruppi=progetti.gruppo_utenti AND stato ='concluso'";
    $ris1 = mysqli_query($conn,$sql1) or die(mysqli_error($conn));

    while ($riga = mysqli_fetch_array($ris1)){
      $idprogetto = $riga["idprogetto"];
      $titolo = $riga["titolo"];
      $attivo = 0;
      switch ($riga["tipo_componente"]){
        case "plessi":
          $sql = "SELECT alunni.cf,alunni.id_classi,classi.id_plessi,plessi.id
            FROM alunni,classi,plessi WHERE plessi.id = '$riga[id_componente]' AND alunni.username=UPPER('$username') AND alunni.id_classi=classi.id_classi AND classi.id_plessi=plessi.id";
          //echo $sql;
          $ris = mysqli_query($conn,$sql) or die(mysqli_error($conn));
          if (mysqli_num_rows($ris)>0) $attivo =1;
          break;
        case "classi":
          $sql = "SELECT alunni.cf,alunni.id_classi,classi.id_classi FROM alunni, classi WHERE classi.id_classi = '$riga[id_componente]' AND alunni.username=UPPER('$username') AND alunni.id_classi=classi.id_classi";
          $ris = mysqli_query($conn,$sql) or die(mysqli_error($conn));
          if (mysqli_num_rows($ris)>0) $attivo =1;
          break;
        case "alunni":
          $sql = "SELECT * FROM alunni WHERE id_utente = '$riga[id_componente]'";
          $ris = mysqli_query($conn,$sql) or die(mysqli_error($conn));
          $rec = mysqli_fetch_array($ris);
          $cf1 = $rec["cf"];

          if ($cf1==$password) $attivo =1;
          break;
      }
      if ($attivo==1){
          $sql = "SELECT * FROM gradimento_progetti WHERE idprogetto='$idprogetto' AND id_utente='$userID'";
	        mysqli_query($conn,$sql) or die(mysqli_error($conn));
	        if (mysqli_num_rows($ris)==0) {
              $sql = "SELECT progetti.progettista,utenti.cognome,utenti.nome FROM progetti,utenti WHERE progetti.progettista=utenti.utente AND progetti.idprogetto='$idprogetto'";
              $ris = mysqli_query($conn,$sql) or die(mysqli_error($conn));
              $rec = mysqli_fetch_array($ris);
              $progettista = ucwords(strtolower($rec['nome'].' '.$rec['cognome']));

              $rows[] = array("id" => $idprogetto, "title" => $titolo, "progettista" => $progettista);
          }
      }
    }
    print json_encode($rows);
  }
  elseif (isset($_GET['submit'])) {
  	$data = date("Y-m-d H:i:s");
    $sql = "INSERT INTO gradimento_progetti (data_risposta,idprogetto,id_utente";
    for ($i=0;$i<5;$i++){
			$risp = 'risp'.$i;
			$sql.= ",$risp";
		}
    $sql .= ") values ('$data','" . mysqli_escape_string($_POST['idprogetto']) . "', '$userID'";
    for ($i=0;$i<5;$i++){
			$val = mysqli_escape_string($_POST["risp$i"]);
			$sql.= ",'$val'";
		}
		$sql.=")";
		echo $sql;
		mysqli_query($conn,$sql) or die(mysqli_error($conn));
  }
}
else {
	fail();
}
?>
