<?php
//versione 8 - adattata a bootstrap 4, datepicker e summernote
///////////////////////////////////////////////////////////////////////////////
/*
 La funzione input restituisce una stringa contenente un campo di input di una form
 i parametri in ingresso sono 
 $txt testo predefinito che compare nel campo di input
 $var  nome del campo di input
 $val tipologia del dato: questo può essere text, color,textarea,ckeditor date, bit, img, video youtube, un array o un object
      nel caso dell'array  è il nome dell'array contenente un insieme di chiavi e valori
      la chiave verrà utilizzata come valore da memorizzare nella tabella, mentre il valore sarà
      il testo che apparirà nel campo di input di tipo select
 $dat è la stringa contenente la data nei campi di tipo date; il formato è yyyy-mm-dd
 /////////////////////////////////////////////////////////////////////////////////////////
nella funzione view
 $extra_key è una clausola aggiuntiva sql del tipo where che può essere passata per visualizzare solo
Istruzioni per l'uso:
creare un file contenente 2 array associativi aventi come chiavi i nomi dei campi e come valori rispettivamente il testo da affiancare ai campi modulo e il tipo del campo modulo.
Ad esempio supponiamo che l'array contenente il testo da affiancare ai campi modulo sia $testo_domande, quello contenente i tipi dei campi sia $elenco_domande, allora il seguente blocco creerà la tabella contentente tutti i campi modulo: 
		foreach($elenco_domande as $campi=>$valori)
			{
				echo input($testo_domande[$campi],$campi,$valori,'');
			}
*/
//////////////////////////////////////////////////////////////////////////////////////////////////////

define("ANNO_INI",2018);

require_once 'classi.php';

function input($conn,$txt,$var,$val,$dat,$path,$required)
{
$anno_fin = date("Y")+3;
if ($val == 'youtube')
	{
	   $inp = '<div class="form-group row" >';
	   if ($dat!='' ){
	       $inp.= '<div class="col-sm-4">
	                   <iframe title="YouTube video player" width="200" height="141" src="http://www.youtube.com/embed/'.$dat.'?rel=0" frameborder="0" allowfullscreen></iframe>
                       <input type="hidden" name="old_'.$var.'" value="'.$dat.'" '.$required.'>'.$dat.'
                   </div';
	   }
	       $inp.=  '<label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
                    <div class="col-sm-4">
                        <input type="text" name="'.$var.'">
	               </div>
                </div>';  
  	  return ($inp);
  	  exit;
	}
if ($val == 'img')
	{
	    $inp = '<div class="form-group row" >';
	    if ($dat!='' ){
	       $inp.= '<div class="col-sm-4"><a href="'.$path.$dat.'" title="ingrandisci"><img src="'.$path.$dat.'" width="200"></a>
                    <input type="hidden" name="old_'.$var.'" value="'.$dat.'" '.$required.'>'.$dat.'
                   </div';
                };
	   $inp.= '<label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
                <div class="col-sm-4">
                    <input type="file" name="'.$var.'">
                </div>
             </div>';
  	     return ($inp);
  	 exit;
	}
if ($val=='text')
  {
      $inp = '<div class="form-group row" >';
      $inp.= '<label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
                <div class="col-sm-4">
                    <input type="text" name="'.$var.'" id="'.$var.'" value="'.stripslashes($dat).'"  '.$required.'>
                </div>
             </div>';
     return ($inp);
     exit;
  }
  if ($val=='color')
  {
      $inp = '<div class="form-group row" >';
      $inp.= '<label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
                <div class="col-sm-4">
                    <input type="color" name="'.$var.'" id="'.$var.'" value="'.stripslashes($dat).'"  '.$required.'>
                </div>
             </div>';
      return ($inp);
      exit;
  }
if ($val=='textarea')
  {
      $inp = '<div class="form-group row" >';
      $inp.= '<label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
                <div class="col-sm-4">
                    <textarea rows="5" name="'.$var.'" '.$required.'>'.$dat.'</textarea>
                </div>
             </div>';
  return ($inp);
  exit;
  }
if ($val=='summernote')
  {
      $inp = '<div class="form-group row" >';
      $inp.= '<label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
                <div class="col-sm-4">
                    <textarea class="summernote" rows="5" name="'.$var.'" '.$required.'>'.$dat.'</textarea>
                </div>
             </div>';
      return ($inp);
      exit;
  }
if ($val=='date')
  {
      $inp = '<div class="form-group row" >
            <label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
             <div class="col-sm-4">   
           		<input data-date-format="dd/mm/yyyy" class="datepicker" name="'.$var.'" value="';
      if (isset($dat)&&$dat!='') {$inp.=ch_date_format1($dat);} else {$inp.=ch_date_format1(date("Y-m-d"));}
           		$inp.='" '.$required.'>
             </div>
        </div>';  
  return ($inp);
  exit;
  }
  ///////////////////////
  if (is_object($val))
  {
    if (get_class($val)=='tabella')
    {
        $inp = '<div class="form-group row" >
            <label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
            <div class="col-sm-4">
                <select name="'.$var.'" '.$required.'>';
                $inp.='<option value=""></option>';
                $t_val = $val->leggiCampi();
                foreach ($t_val as $val2=>$val1) 
                    {
	                   $inp.='<option value="'.$val2.'"';
	                   if ($dat==html_entity_decode($val2)){$inp.=' selected ';};
	                   $inp.='>'.$val1.'</option>';
                    }
                $inp.='</select>
                </div>
        </div>';
     return ($inp);
     exit;
    }
  }
////////////////////////
  if (is_array($val))  
  {
  	if($val["is_table"]==1) 
  	{
  		$table=$val["table"];
  		$field=$val["field"];
  		$id=$val["id"];
  		$sql="SELECT * FROM $table";
  		//echo $sql;
  		$ris=mysql_query($sql,$conn) or die ('impossibile leggere il database');
  			while($riga=mysql_fetch_array($ris))
		{$t_val["$riga[$id]"]=$riga["$field"];}
  		}
  	else {$t_val=$val;};
  	$inp = '<div class="form-group row" >
            <label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
            <div class="col-sm-4">
                <select name="'.$var.'" '.$required.'>';
                $inp.='<option value=""></option>';
                foreach ($t_val as $val2=>$val1) 
                    {
	                   $inp.='<option value="'.$val1.'"';
	                   if ($dat==html_entity_decode($val1)){$inp.=' selected ';};
	                   $inp.='>'.$val1.'</option>';
                    }
                $inp.='</select>
            </div>
        </div>';
  return ($inp);
  exit;
  }
  ///////////////////////////////////////
  if ($val='bit')
  {
      '<div class="form-group row" >
            <label for="'.$var.'" class="col-sm-4 col-form-label" >'.$txt.'</label>
            <div class="col-sm-4">
                S&igrave;<input name="'.$var.'" type="radio" value="1"';
                if ($dat=='1') {$inp.=' checked';};
                $inp.='>
                No<input name="'.$var.'" type="radio" value="0"';
                if ($dat=='0') {$inp.=' checked';};
                $inp.='>
            </div>
        </div>';
  return ($inp);
  exit;
  }

};

function view($conn,$nometab,$tabella,$testo_tab,$ord,$dir,$key,$page){     
    $pagesperview = 10;  
    $no_si=array('no','si');
	  $direzione=array('','DESC');
	  if (isset($_SESSION["extra_sql"])){$extra_sql=$_SESSION["extra_sql"];} else $extra_sql = '';
      $sql='SELECT * FROM '.$nometab.' '.$extra_sql.' ORDER BY '.$ord.' '.$direzione[$dir];
      $ris=mysqli_query($conn,$sql) or die('Impossibile accedere al database');
      $tot = mysqli_num_rows($ris);
      if ($page=='')$page = 0;
      $rec_ini = $page*$pagesperview;
      $sql.= " LIMIT $rec_ini,$pagesperview";
      $ris=mysqli_query($conn,$sql) or die('Impossibile accedere al database');
		echo '<div class="table-responsive">
		          <table class="table table-responsive table-hover table-striped table-bordered">
                <thead><tr>';
		echo '<th><a href="'.$_SERVER['PHP_SELF'].'?action=view&amp;dir='.!$dir.'&amp;ord='.$key.'&amp;page='.$page.'">ID</a></th>';
		foreach($testo_tab as $campi=>$valori)
		   {
		   echo'<th><a href="'.$_SERVER['PHP_SELF'].'?action=view&amp;dir='.!$dir.'&amp;ord='.$campi.'&amp;page='.$page.'">'.$valori.'</a></th>';
		    }
		  echo '<th></th><th></th></thead><tbody>'; 
		$i=0;
		while($riga=mysqli_fetch_array($ris))
		{
		 echo '<tr><td>'.$riga[$key].'</td>';
		 
		 foreach($tabella as $campi=>$valori)
		   {
		   if (is_object($valori))
		   {
		   echo '<td>'.$valori->riempiTab($riga[$campi]).'</td>';
		   }
		   elseif($valori=='date') {echo'<td>'.formdata($riga[$campi]).'</td>';}
		   elseif($valori=='bit'){echo'<td>'.$no_si[$riga[$campi]].'</td>';}
		   elseif($valori =='color'){echo '<td><div style="width:50px;height:50px;background-color:'.$riga[$campi].'">&nbsp;</div></td>';}
		   else
		   {
		   echo'<td>'.stripslashes(html_entity_decode($riga[$campi])).'</td>';}
		   };
		   if ($riga["utente"]==$_SESSION["utente"]||$_SESSION["superuser"]=="1"){
		       echo '<td><a href="'.$_SERVER['PHP_SELF'].'?action=mod&amp;no='.$riga[$key].'&amp;ord='.$ord.'&amp;page='.$page.'" title="modifica"><img src="../img/edit.gif" /></a></td><td><a href="'.$_SERVER['PHP_SELF'].'?action=delete&amp;no='.$riga[$key].'&amp;ord='.$ord.'&amp;page='.$page.'" title="elimina"><img src="../img/del.png" onClick="return confirm(\'Sei sicuro di voler eliminare '.$riga[$key].'? \');"></a></td>';}
		       else {echo '<td>&nbsp</td>';};
		    echo '</tr>';
		}
		echo '</tbody></table></div>';
		$tot_pages = (int)($tot/$pagesperview);
		if (($tot % $pagesperview)>0) $tot_pages++;
		echo ' <ul class="pagination">';
		echo '<li class="page-item ';
		if ($page==0) echo ' disabled';
		echo '"><a class="page-link" href="'.$_SERVER["PHP_SELF"].'?action=view&amp;ord='.$ord.'&amp;dir='.$dir.'&amp;page='.($page-1).'">Precedente</a></li>';
		for ($p = 0;$p<$tot_pages;$p++){
		    echo '<li class="page-item';
		    if($p==$page) echo ' active';
		    echo '"><a class="page-link" href="'.$_SERVER["PHP_SELF"].'?action=view&amp;ord='.$ord.'&amp;dir='.$dir.'&amp;page='.($p).'"">'.($p+1).'</a></li>';
		}
		echo '<li class="page-item ';
		if ($page==($tot_pages-1)) echo ' disabled';
		echo '"><a class="page-link" href="'.$_SERVER["PHP_SELF"].'?action=view&amp;ord='.$ord.'&amp;dir='.$dir.'&amp;page='.($page+1).'"#">Successivo</a></li>';
        echo '</ul>';
};

?>