﻿<?php
ob_end_clean();
include ("../includes/common.php");
mysqli_query($conn,"set names 'utf8'");
include("../includes/write.php");
include ("../includes/ini.php");
define('FPDF_FONTPATH','../includes/fpdf/font/');
require('../includes/fpdf/html2pdf2.php');

function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}
//___________________________________

$id= $_GET["id"];//id del verbale
$sqlnew="SELECT * FROM verbali WHERE id_verbali='$id'";
$risnew=mysqli_query($conn,$sqlnew) or die ('Impossibile selezionare il database');
$riganew=mysqli_fetch_array($risnew);
$id_target_verbali = $riganew["id_target_verbali"];
$sqldef="SELECT *  FROM def_verbali WHERE id_def_verbali='$riganew[id_def_verbali]'";
$risdef=mysqli_query($conn,$sqldef);
$rigadef=mysqli_fetch_array($risdef);
$sqltar = "SELECT * FROM target_verbali WHERE id_target_verbali='$id_target_verbali'";
$ristar = mysqli_query($conn,$sqltar);
$rigatar = mysqli_fetch_array($ristar);
$target = addslashes($rigatar["target"]);
$tipologiaverbali = $rigadef["tipologiaverbali"];
$titolo = $rigadef["titolo"];
$data_riunione = ch_date_format1($riganew["data_riunione"]);
$ora_inizio = $riganew["ora_inizio"];
$ora_fine = $riganew["ora_fine"];
$presenti = $riganew["presenti"];
$assenti = $riganew["assenti"];
$data_inoltro = formdata(date('Y-m-d'));
$verbalizzatore = $riganew["verbalizzatore"];
$presidente = $riganew["presidente"];
$anno_scolastico = $rigadef["anno_scolastico"];
$val = array();
$txt_odg=array();
for ($i=1;$i<11;$i++)
{
	$od="odg".$i;
	$$od=$rigadef[$od];
	if (isset ($$od) && $$od!='') $txt_odg[$i] = $$od;
	if (isset($$od)) 
	{if (isset($riganew[$od]) && $riganew !='') {$val[$i]=$riganew[$od];} else $val[$i]='nulla da segnalare';}
}




$pdf=new PDF('P','mm','A4');
// metadati


$pdf->AliasNbPages();
$pdf->AddPage();

 // Logo
 

$sql2="SELECT * FROM utenti WHERE utente='".$verbalizzatore."'";
$ris2=mysqli_query($conn,$sql2);
$row = mysqli_fetch_array($ris2);
$nome=trim($row["nome"]);
$cognome=trim($row["cognome"]);

$sqlb="SELECT * FROM generalinfo";

$risb=mysqli_query($conn,$sqlb);
$rowb=mysqli_num_rows($risb);
$recb=mysqli_fetch_array($risb);
$nome_scuola=trim($recb["nome_scuola"]);
$intestazione=trim($recb["intestazione"]);
$imgintestazione1=trim($recb["imgintestazione1"]);
$imgintestazione2=trim($recb["imgintestazione2"]);
$imgintestazione3=trim($recb["imgintestazione3"]);
$city=trim($recb["city"]);

if ($imgintestazione1!="" && $imgintestazione2=="" && $imgintestazione3=="") 
{$pdf->Image($imgintestazione1,95,15,20,20);
$pdf->SetXY(10,40);
$pdf->WriteHTMLinte($intestazione);}

if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3=="") 
{ $pdf->Image($imgintestazione1,15,15,20,20);
  $pdf->Image($imgintestazione2,170,15,20,20);
  $pdf->SetXY(10,15);
  $pdf->WriteHTMLinte($intestazione);
  //$pdf->MultiCell(100, 20, $intestazione);
 
 } 
 if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3!="") 
{ $pdf->Image($imgintestazione1,15,15,20,20);
  $pdf->Image($imgintestazione2,95,15,20,20);
  $pdf->Image($imgintestazione3,170,15,20,20);
  $pdf->SetXY(10,40);
  $pdf->WriteHTMLinte($intestazione);
 } 
    
    // Arial bold 15
    $pdf->SetFont('Arial','',9);
$w=277;
$h=8;
//$pdf->ln(15);

$pdf->SetFont('Times','B',14);
$pdf->Ln(10);
$tit="A.S. ".$anno_scolastico;
$pdf->Cell(0,10,$tit,0,1,'C');

$pdf->Cell(0,10,'VERBALE',0,1,'C');


$pdf->SetFont('Times','B',16);
$titolo=$tipologiaverbali.' di '.$target;
$pdf->Cell(80,10,$titolo,0,1,'L');


$w=185;
$h=8;
$pdf->SetFont('Arial','',10);
$prologo = 'Il giorno '.$data_riunione.' alle ore '.$ora_inizio.' presso '.$nome_scuola.' si &egrave; riunito il '
		.$tipologiaverbali.' di '.$target.' per discutere il seguente ordine del giorno:';
$prologo=WriteH($prologo);
$prologo = utf8_decode($prologo);
$pdf->MultiCell($w,$h,$prologo,0,'L',0);
for ($i=1;$i<11;$i++)
{
	if (isset($txt_odg[$i])) {
		$odg = $i.'. '.$txt_odg[$i];
		//$odg = WriteH($odg);
		$odg = utf8_decode($odg);
		$pdf->MultiCell($w, $h, $odg);
	}
};
$pdf->Ln(3);
$txt = 'Risultano presenti i signori: '.$presenti;
//$txt = WriteH($txt);
$txt = utf8_decode($txt);
$pdf->MultiCell($w, $h, $txt);

$txt = 'Risultano invece assenti i signori: '.$assenti;
//$txt = WriteH($txt);
$txt = utf8_decode($txt);
$pdf->MultiCell($w, $h, $txt);

$txt = 'Presiede la seduta: '.$presidente;
//$txt = WriteH($txt);
$txt = utf8_decode($txt);
$pdf->MultiCell($w, $h, $txt);

$txt = 'Funge da segretario: '.$nome.' '.$cognome;
//$txt = WriteH($txt);
$txt = utf8_decode($txt);
$pdf->MultiCell($w, $h, $txt);

$pdf->Ln(3);
$txt = 'Dalla discussione degli argomenti di cui all&#39;ordine del giorno è emerso quanto segue :';
$txt = WriteH($txt);
$txt = utf8_decode($txt);
$pdf->MultiCell($w, $h, $txt);

for ($i=1;$i<11;$i++)
{
	if (isset($txt_odg[$i])) {
		$odg = $i.'. '.$val[$i];
		//$odg = WriteH($odg);
		$odg = utf8_decode($odg);
		$pdf->MultiCell($w, $h, $odg);
	}
};

$txt = 'La seduta &egrave; tolta alle ore '.$ora_fine;
$txt = WriteH($txt);
$txt = utf8_decode($txt);
$pdf->MultiCell($w, $h, $txt);


$pdf->ln(3);


$txt=$city.", ".$data_inoltro;

$pdf->Cell($w,$h,$txt,0,1,'L');
$pdf->SetFont('Arial','I',12);
$pdf->Cell(180,$h,'Il segretario',0,1,'R');
$pdf->Cell(180,$h,ucwords($nome).' '.ucwords($cognome),0,1,'R');
$pdf->SetX(-75);
$pdf->SetFont('Arial','I',7);
$height=4;
$pdf->MultiCell(55,$height,'Firma autografa sostituita a mezzo stampa ai sensi dell\'art. 3, comma 2, del D.Lgs. 39/93',0,'R',0);

$pdf->Output();
?>